所需权限:
project:mem_modify路径参数
string
required
工作空间 ID
string
required
项目 ID
string
required
事实 ID
请求体
string
更新后的事实文本
object
更新后的附加到事实的键值元数据
响应
object
Documentation Index
Fetch the complete documentation index at: /llms.txt
Use this file to discover all available pages before exploring further.
curl -X PATCH 'https://app.memorylake.cn/openapi/memorylake/api/v3/workspaces/ws_abc123def456/projects/proj_a1b2c3d4e5f6/memories/facts/fact_8f3a1b2c4d5e' \
-H 'Authorization: Bearer sk_xxxxxx' \
-H 'Content-Type: application/json' \
-d '{
"fact": "User prefers dark mode in all applications and IDEs",
"metadata": {
"category": "preferences",
"confidence": "high",
"verified": true
}
}'
{
"success": true,
"data": {
"id": "fact_8f3a1b2c4d5e",
"fact": "User prefers dark mode in all applications and IDEs",
"metadata": {
"category": "preferences",
"confidence": "high",
"verified": true
},
"expired": false,
"score": 0.95,
"expiration_date": null,
"created_at": "2025-06-10T14:30:00Z",
"updated_at": "2025-06-20T11:45:00Z"
}
}
更新现有事实的文本或元数据
PATCH /openapi/memorylake/api/v3/workspaces/{workspaceId}/projects/{projectId}/memories/facts/{factId}
project:mem_modifycurl -X PATCH 'https://app.memorylake.cn/openapi/memorylake/api/v3/workspaces/ws_abc123def456/projects/proj_a1b2c3d4e5f6/memories/facts/fact_8f3a1b2c4d5e' \
-H 'Authorization: Bearer sk_xxxxxx' \
-H 'Content-Type: application/json' \
-d '{
"fact": "User prefers dark mode in all applications and IDEs",
"metadata": {
"category": "preferences",
"confidence": "high",
"verified": true
}
}'
{
"success": true,
"data": {
"id": "fact_8f3a1b2c4d5e",
"fact": "User prefers dark mode in all applications and IDEs",
"metadata": {
"category": "preferences",
"confidence": "high",
"verified": true
},
"expired": false,
"score": 0.95,
"expiration_date": null,
"created_at": "2025-06-10T14:30:00Z",
"updated_at": "2025-06-20T11:45:00Z"
}
}